ISST-SAN: fsp-chip: Alpine: LE-UBUNTU 15.10: LPAR chip01 unable to install base OS due to inability to install the GRUB boot loader on hard disk

Bug #1479213 reported by bugproxy on 2015-07-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
grub-installer (Ubuntu)
High
Mathieu Trudel-Lapierre
Trusty
High
Mathieu Trudel-Lapierre
Vivid
Medium
Mathieu Trudel-Lapierre

Bug Description

[Impact]
Administrators installing Ubuntu on systems with more than 26 hard disks.

[Test case]
1) start a Ubuntu Server install on a server with > 26 disks: /dev/sdaa should exist.
2) Complete the installation

Without the fix, the installation should fail at the "Install the GRUB boot loader on a hard disk" task.
With the fix, the installation should complete successfully.

[Regression Potential]
This has a low regression potential as it only changes enough of grub-installer to allow matching of disks of the naming scheme /dev/[shv]d[a-z]*, where it was previously only matching for one occurrence of the drive letter ([a-z]). This matching only happens when doing the initial installation of a system; further runs will rely directly on grub-install without trying to match device names.

--

== Comment: #0 - RODOLFO LOPEZ <email address hidden> - 2015-07-27 12:55:29 ==
---Problem Description---
PROBLEM DESCRIPTION
------------------------------------
I start the installation of the base operating system in UBUNTU 15.10
and at the end of the install I get the below pop-up message:

lqqqqqqqu [!!] Install the GRUB boot loader on a hard disk tqqqqqqqqk
     x x
     x Installation step failed x
     x An installation step failed. You can try to run the failing item x
     x again from the menu, or skip it and choose something else. The x
     x failing step is: Install the GRUB boot loader on a hard disk x
     x x
     x <Continue> x
     x x
     mqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqj

<Tab> moves; <Space> selects; <Enter> activates buttons

Contact Information = Pablo Marquez, <email address hidden>

---uname output---
do not have that information available for the moment.

Machine Type = 8408-E8E

---boot type---
Network boot

---bootloader---
grub

---Kernel cmdline used to launch install---
SMS

---Bootloader protocol---
tftp

---Install repository type---
install image is in kte.isst.aus.stglabs.ibm.com

---Point of failure---
Other failure during installation (stage 1)

== Comment: #2 - SANDHYA VENUGOPALA <email address hidden> - 2015-07-29 01:39:49 ==

We require patches to partman-multipath, parman-base and grub-installer packages for Ubuntu 15.10 version to address this installation problem.

These packages have already been updated to Ubuntu Trusty and Ubuntu Vivid.
LP bug - https://bugs.launchpad.net/ubuntu/+source/debian-installer/+bug/1430074

bugproxy (bugproxy) on 2015-07-29
tags: added: architecture-ppc64le bugnameltc-128090 severity-critical targetmilestone-inin1510

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1479213/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment

------- Comment From <email address hidden> 2015-07-29 20:36 EDT-------
How do I patch from the Ubuntu installer main menu?

affects: ubuntu → grub-installer
Colin Watson (cjwatson) on 2015-07-30
affects: grub-installer → grub-installer (Ubuntu)
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-08-26 14:34 EDT-------
Canonical,

The problem here is the grub-installer script expects SCSI disks w/ only one letter (/dev/sda), but this scenario has two (/dev/sdaf).
This misclassifies the disk, and the script fails.

Script grub-install, line 327 [1]:
/dev/[hmsv]d[a-z0-9]|...)

It works with this change, at install time:
~ # sed '327 s,|,*|,' -i /usr/bin/grub-installer
So that line is now:
/dev/[hmsv]d[a-z0-9]*|...)

[1] http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/wily/grub-installer/wily/view/head:/grub-installer#L327

Debugging tip
-------------------

I debugged it by reading the bash traces with this change:
-#set -x
+set +x; exec 2>/g-i.stderr
and noticed this:
+ prefix=/dev/sdaf
+ echo /dev/sdaf2
+ sed s:\(.*\)/.*:\1/disc:
+ disc_offered_devfs=/dev/disc
+ mapdevfs /dev/disc
+ disc_offered=

Verification
---------------

Differences in syslog:
Before:
<...> grub-installer: info: architecture: ppc64el/chrp_ibm
<...> grub-installer: info: Mounting /proc into /target
<...> in-target: <...>
<...> main-menu[295]: WARNING **: Configuring 'grub-installer' failed with error code 1
<...> main-menu[295]: WARNING **: Menu item 'grub-installer' failed.
After:
<...> grub-installer: info: architecture: ppc64el/chrp_ibm
<...> grub-installer: info: Mounting /proc into /target
<...> in-target: <...>
<...> grub-installer: info: Identified partition label for /dev/sdaf2: gpt
<...>
<...> grub-installer: info: grub-install ran successfully

------- Comment From <email address hidden> 2015-08-26 14:38 EDT-------
Typo here (set -x/+x)
+set +x; exec 2>/g-i.stderr
+set -x; exec 2>/g-i.stderr

Changed in grub-installer (Ubuntu):
status: New → Confirmed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-08-26 14:55 EDT-------
Please fix on Trusty too.

Changed in grub-installer (Ubuntu):
assignee: nobody → Taco Screen team (taco-screen-team)
Steve Langasek (vorlon) on 2015-08-27
Changed in grub-installer (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
assignee: Taco Screen team (taco-screen-team) → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in grub-installer (Ubuntu Trusty):
importance: Undecided → High
status: New → Triaged
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.78ubuntu29

---------------
grub-installer (1.78ubuntu29) wily; urgency=medium

  * Properly handle systems on which there may be more than 26 disks, and our
    boot partition meant to be on a disk named [hsv]d[a-z][a-z]. (LP: #1479213)

 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 14 Sep 2015 20:48:40 -0400

Changed in grub-installer (Ubuntu):
status: Triaged → Fix Released
Changed in grub-installer (Ubuntu Trusty):
status: Triaged → In Progress
Changed in grub-installer (Ubuntu Vivid):
status: New → In Progress
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
importance: Undecided → Medium
description: updated

Hello bugproxy, or anyone else affected,

Accepted grub-installer into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/grub-installer/1.78ubuntu28.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in grub-installer (Ubuntu Vivid):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in grub-installer (Ubuntu Trusty):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello bugproxy, or anyone else affected,

Accepted grub-installer into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/grub-installer/1.78ubuntu20.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

------- Comment From <email address hidden> 2015-09-17 19:20 EDT-------
Veryfing trusty and vivid with netboot installations on kvm guests (27 -drive arguments, install on the sdaa disk).
Without -proposed, expected failure.
With -proposed, expected pass.

Verified OK on trusty & vivid, with & without "apt-setup/proposed=true". Fails without it. Pass with it.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.78ubuntu20.3

---------------
grub-installer (1.78ubuntu20.3) trusty; urgency=medium

  * Properly handle systems on which there may be more than 26 disks, and our
    boot partition meant to be on a disk named [hsv]d[a-z][a-z]. (LP: #1479213)

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 16 Sep 2015 13:03:13 -0400

Changed in grub-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for grub-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.78ubuntu28.1

---------------
grub-installer (1.78ubuntu28.1) vivid; urgency=medium

  * Properly handle systems on which there may be more than 26 disks, and our
    boot partition meant to be on a disk named [hsv]d[a-z][a-z]. (LP: #1479213)

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 16 Sep 2015 13:01:48 -0400

Changed in grub-installer (Ubuntu Vivid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers